#ifndef LCD_ST7565R_H
#define LCD_ST7565R_H

#include <fx2.h>


void st7565r_init();
void st7565r_cls();
void st7565r_gotoxy( BYTE x, BYTE y);
void st7565r_putc( char c);
void st7565r_puts( char *s, BYTE len);
void st7565r_putx1( BYTE x);
void st7565r_putx2( BYTE x);
void st7565r_putg( BYTE *g, BYTE len);
void st7565r_putd( WORD number, BYTE length, bool showzero);

#define	lcd_init()			st7565r_init()
#define	lcd_cls()			st7565r_cls()
#define	lcd_gotoxy(x,y)		st7565r_gotoxy(x,y)

#define	lcd_putc(c)			st7565r_putc(c)
#define	lcd_puts(s,n)		st7565r_puts(s,n)
#define	lcd_putx1(x)		st7565r_putx1(x)
#define	lcd_putx2(x)		st7565r_putx2(x)

#endif